
package de.ivu.elect.business.ergebniskonflikt.entity;

public class KandidaturenAuswaehlenTypisiertErgebnisKonfliktCustomData extends KandidaturenAuswaehlenErgebnisKonfliktCustomData {

  private static final long serialVersionUID = 1L;

  private final Enum< ? > losentscheidTyp;

  public KandidaturenAuswaehlenTypisiertErgebnisKonfliktCustomData(Enum< ? > losentscheidTyp) {
    super();

    this.losentscheidTyp = losentscheidTyp;
  }

  public Enum< ? > getLosentscheidTyp() {
    return losentscheidTyp;
  }

  @Override
  public String getClassName() {
    return KandidaturenAuswaehlenTypisiertErgebnisKonfliktCustomData.class.getName();
  }

  @Override
  public int hashCode() {
    int result = super.hashCode();
    result = 31 * result + (losentscheidTyp != null ? losentscheidTyp.hashCode() : 0);

    return result;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }

    if (o == null || getClass() != o.getClass()) {
      return false;
    }

    if (!super.equals(o)) {
      return false;
    }

    KandidaturenAuswaehlenTypisiertErgebnisKonfliktCustomData that = (KandidaturenAuswaehlenTypisiertErgebnisKonfliktCustomData) o;

    return losentscheidTyp == that.losentscheidTyp;
  }
}
